POSTgettxoutsetinfo

Bitcoin Mainnethttps://bitcoin-mainnet.nodit.io/

Returns statistics about the unspent transaction output (UTXO) set.

Request Body
idintegerrequired
jsonrpcstringrequired
methodstringrequired
paramsoneOf[]required

It contains following parameters in order:

  1. hash_type: The UTXO set hash to compute, as a string. (optional, default hash_serialized_3)
  2. hash_or_height: The block hash or height to compute the statistics for. (optional, defaults to the current best block and requires coinstatsindex)
  3. use_index: Whether to use coinstatsindex, as a boolean. (optional, default true)
params[0]string (enum)

The UTXO set hash to compute.

  • hash_serialized_3: Computes the serialized hash of the UTXO set.
  • muhash: Computes the MuHash of the UTXO set.
  • none: Does not compute a hash.
Responses
heightinteger

The height of the block the statistics were computed for.

bestblockstring

The hash of the block the statistics were computed for.

txoutsinteger

The number of unspent transaction outputs.

bogosizeinteger

A database-independent metric for the size of the UTXO set.

hash_serialized_3string

The serialized hash of the UTXO set. Returned only when hash_type is hash_serialized_3.

muhashstring

The MuHash of the UTXO set. Returned only when hash_type is muhash.

transactionsinteger

The number of transactions with unspent outputs. Returned only when coinstatsindex is not used.

disk_sizeinteger

The estimated size of the chainstate on disk, in bytes. Returned only when coinstatsindex is not used.

total_amountnumber

The total amount of coins in the UTXO set, denominated in BTC.

total_unspendable_amountnumber

The total amount permanently excluded from the UTXO set. It is denominated in BTC and returned only when coinstatsindex is used.

prevout_spentnumber

The total amount of prevouts spent in the block, denominated in BTC.

coinbasenumber

The coinbase amount of the block, denominated in BTC.

new_outputs_ex_coinbasenumber

The total amount of new outputs excluding the coinbase, denominated in BTC.

unspendablenumber

The total amount of unspendable outputs created in the block, denominated in BTC.

unspendablesobject

Unspendable amounts broken down by cause. All values are denominated in BTC.

genesis_blocknumber

The amount that is unspendable because of the genesis block reward.

bip30number

The amount that is unspendable because of transactions overwritten under BIP 30.

scriptsnumber

The amount that is unspendable because of unspendable scripts, such as OP_RETURN.

unclaimed_rewardsnumber

The block reward amount that miners did not claim.

X-API-KEY
RequestCU150
cURL
curl -X POST "https://bitcoin-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "id": 1,
  "jsonrpc": "2.0",
  "method": "gettxoutsetinfo",
  "params": [
    "hash_serialized_3"
  ]
}'
Response
Example · 200
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": {
    "height": 920000,
    "bestblock": "000000000000000000024bead8df69990852c202db0e0097c1a12ea637d7e96d",
    "txouts": 187654321,
    "bogosize": 14123456789,
    "hash_serialized_3": "5f6bb1e6d0d1a3d5f6a5b8c1d2e3f4a5b6c7d8e9fa0b1c2d3e4f5a6b7c8d9e0f",
    "transactions": 98765432,
    "disk_size": 10987654321,
    "total_amount": 19812345.6789
  }
}